function statistika_uhlu_a_delek(hObject, eventdata, handles,typ)
%STATISTIKA_UHLU_A_DELEK Vykreslení grafu se statistickými analýzami

%Typ 1 znamená provedení statistiky úhlů, 
%typ 2 znamená provedení statistiky délek.

hodnota_ch3=get(hObject,'Value'); %délky os
hodnota_ch5=get(hObject,'Value'); %úhly
cesta_k_souboru = get(handles.text2,'String');
pocet=get(handles.edit1,'String');
pocet=str2num(pocet);


if hodnota_ch3==1 || hodnota_ch5==1
    if isempty(cesta_k_souboru)    
             [data,~] = nacteni_vyberu(hObject, eventdata, handles);
             if isempty(data)
                return;
             end;
    else
            data = importdata(cesta_k_souboru);
    end
    
    [polohy_R,hodnoty_R] = R_detector(data);
    [kolisani,~] = filtr_izo(polohy_R, hodnoty_R, data);
    [~,vychylky,~,~,~,~] = reprezent_vychylka(polohy_R,hodnoty_R,kolisani,data);
    [~, ~, uhly, delka_osy]=vykresleni_osy(hObject, eventdata, handles, vychylky);

if typ==1
    vektor=uhly;
    B=['Úhly na začátku';'Úhly na konci  '];
elseif typ==2
    vektor=delka_osy;
    B=['Délky os na začátku';'Délky os na konci  '];
end

    
    prvni_cast=vektor(1:pocet);
    druha_cast=vektor(end-(pocet-1):end);
    if typ==1 %ověření úhlů, zda tam není příliš moc artefaktů, které jdou do statistiky
        for i=1:length(prvni_cast)
            if prvni_cast(i)<=-30
                prvni_cast(i)=median(prvni_cast)
            end
        end
    
        for i=1:length(druha_cast)
            if druha_cast(i)<=-30
                druha_cast(i)=median(druha_cast)
            end
        end
    end
    
    PRUM_prvni_cast=mean(prvni_cast);
    PRUM_druha_cas=mean(druha_cast);
    A=[prvni_cast;druha_cast];
    A=A';
    [H2,P2,CI2,STATS2]=ttest2(prvni_cast,druha_cast);
    
    %vykreslení
    figure;
    subplot(2,2,1); normplot(vektor); 
        if typ==1 
            title('Normální rozložení všech úhlů');
        else
            title('Normální rozložení všech délek os')
        end
        hold on;
        
    subplot(2,2,2); normplot(A); 
        if typ==1 
            title('Normální rozložení obou výběrů úhlů');
        else
            title('Normální rozložení obou výběrů délek os')
        end
        hold on;
        
    subplot(2,2,3); boxplot(A,B);
        if typ==1 
            title('Boxploty obou výběrů úhlů');
        else
            title('Boxploty obou výběrů délek os')
        end
        hold on;

    subplot(2,2,4);
        N = length(A); df = N-1; alpha = 0.05; conf = 1-alpha;
        cutoff1 = tinv(alpha/2,df); cutoff2 = tinv(1-alpha/2,df);
        x = [linspace(-10,cutoff1), linspace(cutoff1,cutoff2),linspace(cutoff2,10)];
        y = tpdf(x,df);
        h1 = plot(x,y); hold on;
        xlo = [x(x<=cutoff1),cutoff1]; ylo = [y(x<=cutoff1),0];
        xhi = [cutoff2,x(x>=cutoff2)]; yhi = [0, y(x>=cutoff2)];
        patch(xlo,ylo,'b'); patch(xhi,yhi,'b');
            if typ==1 
                title(sprintf('Testová statistika oboustranného nepárového t-testu \ns hladinou významnosti 5%% a s %d stupni volnosti',df));
                xlabel('Testová statistika úhlů');
                ylabel('Hustota rozložení');
            else
                title(sprintf('Testová statistika oboustranného nepárového t-testu \ns hladinou významnosti 5%% a s %d stupni volnosti',df));
                xlabel('Testová statistika délek os');
                ylabel('Hustota rozložení');
            end
            hold on;
        text(2.5,.1,strcat('Zamítnout H_{0}',sprintf('\npokud t > %.4g\n\np = 0.025',cutoff2)),'Color','b');
        text(-8,.1,strcat('Zamítnout H_{0}',sprintf('\npokud t < %.4g\n\np = 0.025',cutoff1)),'Color','b');
        hold on;
        plot([STATS2.tstat ,STATS2.tstat],ylim,'r-','LineWidth',1.5); hold on;text(STATS2.tstat(1)+0.2,0.2,sprintf('t=%0.4g',STATS2.tstat(1)));hold on;
        hold on;


%     corrplot(A); title('korelace'); hold on;

    
else
    close(figure);
end